Last Comment Bug 763167 - java.lang.NullPointerException: at org.mozilla.gecko.BrowserToolbar$2.onCreateContextMenu(BrowserToolbar.java)
: java.lang.NullPointerException: at org.mozilla.gecko.BrowserToolbar$2.onCreat...
Status: VERIFIED FIXED
[native-crash], STR in comment #2
: crash, regression, reproducible, topcrash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 15 Branch
: ARM Android
: -- critical (vote)
: Firefox 16
Assigned To: Wesley Johnston (:wesj)
:
Mentors:
: 763165 (view as bug list)
Depends on:
Blocks: 722591
  Show dependency treegraph
 
Reported: 2012-06-09 01:42 PDT by Scoobidiver (away)
Modified: 2013-12-10 10:01 PST (History)
9 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
verified


Attachments
Patch (1.79 KB, patch)
2012-06-11 11:32 PDT, Wesley Johnston (:wesj)
mark.finkle: review+
sriram.mozilla: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Scoobidiver (away) 2012-06-09 01:42:22 PDT
It first appeared in 16.0a1/20120608081921 and has been hit by 3 different users. The regression range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=7e4c2abb9fc9&tochange=22bb7d46bb23
It's likely a regression from bug 722591.

Here is a crash report: bp-aa6a4d0f-d9b0-484c-a3d4-2f7302120609.

java.lang.NullPointerException
	at org.mozilla.gecko.BrowserToolbar$2.onCreateContextMenu(BrowserToolbar.java:119)
	at android.view.View.createContextMenu(View.java:6322)
	at com.android.internal.view.menu.ContextMenuBuilder.show(ContextMenuBuilder.java:81)
	at com.android.internal.policy.impl.PhoneWindow$DecorView.showContextMenuForChild(PhoneWindow.java:2308)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:564)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:564)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:564)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:564)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:564)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:564)
	at android.view.View.showContextMenu(View.java:3661)
	at android.view.View.performLongClick(View.java:3630)
	at android.widget.TextView.performLongClick(TextView.java:9532)
	at android.view.View$CheckForLongPress.run(View.java:14241)
	at android.os.Handler.handleCallback(Handler.java:605)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:137)
	at android.app.ActivityThread.main(ActivityThread.java:4507)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:511)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:790)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:557)
	at dalvik.system.NativeStart.main(Native Method)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NullPointerException%3A+at+org.mozilla.gecko.BrowserToolbar%242.onCreateContextMenu%28BrowserToolbar.java%29
Comment 1 Peter Retzer (:pretzer) 2012-06-09 02:09:17 PDT
*** Bug 763165 has been marked as a duplicate of this bug. ***
Comment 2 Aaron Train [:aaronmt] 2012-06-10 17:22:16 PDT
Steps to Reproduce:

1. Tap and hold on the URL bar
Comment 3 Cristian Nicolae (:xti) 2012-06-11 01:25:55 PDT
I was able to reproduce it on the latest Nightly:
https://crash-stats.mozilla.com/report/index/bp-bee5b623-d1f7-4a64-a611-dc8052120611

--
Firefox 16.0a1 (2012-06-10)
Device: Galaxy Nexus
OS: Android 4.0.2
Comment 4 Wesley Johnston (:wesj) 2012-06-11 11:32:10 PDT
Created attachment 631961 [details] [diff] [review]
Patch

From one of the other bugs....
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2012-06-11 14:34:15 PDT
Comment on attachment 631961 [details] [diff] [review]
Patch

Looks OK, but Sriram should review to make sure we don't need something for other devices.
Comment 6 Sriram Ramasubramanian [:sriram] 2012-06-11 14:52:28 PDT
Comment on attachment 631961 [details] [diff] [review]
Patch

Review of attachment 631961 [details] [diff] [review]:
-----------------------------------------------------------------

This looks good for me.
menu-v11/ is enough, as that will take care of custom menu inflater in Honeycomb and ICS.
Comment 8 Graeme McCutcheon [:graememcc] 2012-06-12 03:04:32 PDT
https://hg.mozilla.org/mozilla-central/rev/07834b62c17c
Comment 9 Wesley Johnston (:wesj) 2012-07-11 12:33:03 PDT
Comment on attachment 631961 [details] [diff] [review]
Patch

Forgot to request this follow up when pushing the original patch in bug 722591.

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 722591
User impact if declined: Crashy
Testing completed (on m-c, etc.): Been on mc for a long time
Risk to taking this patch (and alternatives if risky): Low
String or UUID changes made by this patch: None
Comment 10 Justin Wood (:Callek) 2012-07-11 12:51:48 PDT
I just hit this in my first 40 seconds of use of Fennec *ever* (though yes I am using aurora). So nominating for tracking. Its bad UX (imo) for any crasher that is easy to trigger and happens in the first few minutes after first-run.
Comment 11 Wesley Johnston (:wesj) 2012-07-12 15:45:34 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/16bb130fb25c

Note You need to log in before you can comment on or make changes to this bug.